## kinit 5.113.0

=== debian/changelog ===
kinit (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:43 +0000

kinit (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:36 +0000

kinit (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:17 +0000

=== debian/control ===
Source: kinit
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.113.0~),
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf5config-dev (>= 5.113.0~),
               libkf5crash-dev (>= 5.113.0~),
               libkf5dbusaddons-dev (>= 5.113.0~),
               libkf5doctools-dev (>= 5.113.0~),
               libkf5i18n-dev (>= 5.113.0~),
               libkf5kio-dev (>= 5.113.0~),
               libkf5service-dev (>= 5.113.0~),
               libkf5windowsystem-dev (>= 5.113.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kinit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinit
Rules-Requires-Root: no

Package: kinit
Architecture: any
Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.

Package: kinit-dev
Section: libdevel
Architecture: any
Depends: kinit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.
 .
 Contains development files for kinit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kinit 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KInit VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ConfigureChecks.cmake)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Core Gui DBus)

ecm_setup_version(PROJECT VARIABLE_PREFIX KINIT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kinit_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5InitConfigVersion.cmake"
                        SOVERSION 5)

#optional features
if (NOT APPLE AND NOT WIN32)
    option(WITH_X11 "Build with X11 integration" ON)
    if(WITH_X11)
        find_package(X11 REQUIRED)
        set(HAVE_X11 1)

        find_package(XCB MODULE COMPONENTS XCB)
        set_package_properties(XCB PROPERTIES TYPE OPTIONAL)
        set(HAVE_XCB ${XCB_XCB_FOUND})
    endif()
endif()

# used by 4 executables in this module
if(HAVE_SOCKET_LIBRARY)
  set(KINIT_SOCKET_LIBRARY socket)
else()
  set(KINIT_SOCKET_LIBRARY)
endif()

find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})

if (NOT WIN32)
find_package(Libcap)
find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
set_package_properties(Libcap PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "KInit needs setcap in order to install start_kdeinit with CAP_SYS_RESOURCE capabilities"
                      )
endif ()
set(HAVE_CAPABILITIES ${Libcap_FOUND})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Init")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5InitConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5InitConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"kinit5\")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
    KCOREADDONS 5.85 # KPluginLoader::fileName
)

ki18n_install(po)

if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
add_subdirectory(src)

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

install( FILES
	"${CMAKE_CURRENT_BINARY_DIR}/KF5InitConfig.cmake"
    KF5InitMacros.cmake ${CMAKE_CURRENT_BINARY_DIR}/KF5InitConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

install(FILES
        kde5init_dummy.cpp.in
        DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kinit (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:48 +0200

kinit (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:14 +0100

kinit (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:45 +0200

kinit (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:02 +0100

=== debian/control ===
Source: kinit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.115.0~),
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf5config-dev (>= 5.115.0~),
               libkf5crash-dev (>= 5.115.0~),
               libkf5dbusaddons-dev (>= 5.115.0~),
               libkf5doctools-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5service-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libx11-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kinit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinit.git
Rules-Requires-Root: no

Package: kinit
Architecture: any
Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends},
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.

Package: kinit-dev
Section: libdevel
Architecture: any
Depends: kinit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.
 .
 Contains development files for kinit.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

## kinit 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KInit VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include(${CMAKE_CURRENT_SOURCE_DIR}/../KF5InitMacros.cmake)
include(ECMMarkNonGuiExecutable)

if (CMAKE_SYSTEM_NAME MATCHES Linux)
   if (Libcap_FOUND)
    message(STATUS "kdeinit wrapper uses capabilities to protect kdeinit from misguided Linux OOM killer")
      else()
    message(STATUS "kdeinit wrapper uses setuid-root to protect kdeinit from misguided Linux OOM killer")
   endif()
    set(KDEINIT_OOM_PROTECT 1)
endif ()

check_symbol_exists(close_range "unistd.h" HAVE_CLOSE_RANGE)

configure_file(config-kdeinit.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdeinit.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(kdeinit)
add_subdirectory(kwrapper)
add_subdirectory(klauncher)

if (NOT WIN32)
  add_subdirectory(kshell)
  add_subdirectory(start_kdeinit)
endif ()

ecm_qt_install_logging_categories(
    EXPORT KINIT
    FILE kinit.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/start_kdeinit/CMakeLists.txt ===
add_executable(start_kdeinit start_kdeinit.c)
ecm_mark_nongui_executable(start_kdeinit)
if (Libcap_FOUND)
   target_link_libraries(start_kdeinit ${Libcap_LIBRARIES})
endif()
add_executable(start_kdeinit_wrapper start_kdeinit_wrapper.c)
ecm_mark_nongui_executable(start_kdeinit_wrapper)

install(TARGETS start_kdeinit DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR_KF5})
install(TARGETS start_kdeinit_wrapper DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR_KF5})

if (KDEINIT_OOM_PROTECT)
       if (Libcap_FOUND)
                  install( CODE "execute_process(
                          COMMAND
                                 ${SETCAP_EXECUTABLE}
                                 CAP_SYS_RESOURCE=+ep
                                 \$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/start_kdeinit)"
                )
       else()
                  install(CODE "
                  set(START_KDEINIT_PATH \"\$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/start_kdeinit\")
                  EXECUTE_PROCESS(COMMAND sh -c \"chown 0 '\${START_KDEINIT_PATH}' && chmod u+s '\${START_KDEINIT_PATH}'\")
    ")
       endif ()
endif ()

=== debian/changelog ===
kinit (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:43:03 +0100

kinit (5.115.0-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:21 +0200

kinit (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:05:54 +0000

kinit (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:01:32 +0000

kinit (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:58:14 -0700

kinit (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:18:17 -0700

kinit (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:54:14 -0700

=== debian/control ===
Source: kinit
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.116.0~),
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf5config-dev (>= 5.116.0~),
               libkf5crash-dev (>= 5.116.0~),
               libkf5dbusaddons-dev (>= 5.116.0~),
               libkf5doctools-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5service-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.116.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kinit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinit
Rules-Requires-Root: no

Package: kinit
Architecture: any
Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.

Package: kinit-dev
Section: libdevel
Architecture: any
Depends: kinit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.
 .
 Contains development files for kinit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	    debian/kinit.postinst.in > debian/kinit.postinst
	dh_installdeb

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kinit-([\d.]+)\.tar\.xz

## kinit 5.116.0+p24.04+vstable+git20250817.1053

=== debian/changelog ===
kinit (5.116.0+p24.04+vstable+git20250817.1053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 17 Aug 2025 10:53:42 +0000

kinit (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:40:59 +1000

kinit (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:28:40 +0000

kinit (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:22:34 +0000

kinit (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:03:08 +0000

kinit (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:45:19 +0000

kinit (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

kinit (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:26:17 +0000

kinit (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:18:16 +0000

kinit (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:12:14 +0000

kinit (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:41:43 +0000

kinit (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:59:24 +0000

kinit (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:55:36 +0000

kinit (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:27:23 +0000

kinit (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:34:44 +0000

kinit (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:54:53 +0000

kinit (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:57:28 +0000

kinit (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:05:19 +0000

kinit (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:20:45 +0000

kinit (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:27:35 +0000

kinit (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:00:48 +0000

kinit (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:32:53 +0000

kinit (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:58:30 +0000

kinit (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:31:32 +0000

kinit (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:20:57 +0000

kinit (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:24:45 +0000

kinit (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:52:31 +0000

kinit (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 09:56:07 +0000

kinit (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:43 +0000

kinit (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:07 +0000

kinit (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:26:13 +0000

kinit (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:22 +0000

kinit (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:37 +0000

kinit (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:18:02 +0000

kinit (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:20 +0000

kinit (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:13:09 +0000

kinit (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:05:28 +0000

kinit (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:15 +0000

kinit (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:44 +0000

kinit (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:28:06 +0000

kinit (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:22:33 +0000

kinit (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:29:54 +0000

kinit (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:52:54 +0000

kinit (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:20 +0000

kinit (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:19:02 +0000

kinit (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:20:56 +0000

kinit (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:05:03 +0000

kinit (5.66.0-0neon) bionic; urgency=medium

  * New release



## kinit 5.116.0+p24.04+vstable+git20251015.1137

=== debian/changelog ===
kinit (5.116.0+p24.04+vstable+git20251015.1137-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:37:59 +0000

## kinit 5.116.0+p24.04+vstable+git20251020.0313

=== debian/changelog ===
kinit (5.116.0+p24.04+vstable+git20251020.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:13:25 +0000

## kinit 5.116.0+p24.04+vstable+git20251226.0236

=== debian/changelog ===
kinit (5.116.0+p24.04+vstable+git20251226.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:36:30 +0000

## kinit 5.116.0+p24.04+vstable+git20251231.0526

=== debian/changelog ===
kinit (5.116.0+p24.04+vstable+git20251231.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:26:36 +0000

## kinit 5.116.0+p24.04+vunstable+git20250817.1310

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KInit VERSION ${KF_VERSION})

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20250817.1310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 17 Aug 2025 13:10:10 +0000

=== debian/control ===
Source: kinit
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf5config-dev (>= 5.51.0~),
               libkf5crash-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kinit
Vcs-Git: https://invent.kde.org/neon/kde/kinit.git
Vcs-Browser: https://invent.kde.org/neon/kde/kinit
Maintainer: Neon CI <neon@kde.org>

Package: kinit
Architecture: any
Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.

Package: kinit-dev
Section: libdevel
Architecture: any
Depends: kinit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: process launcher to speed up launching KDE applications
 kdeinit is a process launcher somewhat similar to the
 famous init used for booting UNIX.
 .
 It launches processes by forking and then loading a
 dynamic library which should contain a 'kdemain(...)'
 function.
 .
 Using kdeinit to launch KDE applications makes starting
 a typical KDE applications 2.5 times faster (100ms
 instead of 250ms on a P-III 500) It reduces memory
 consumption by approx. 350Kb per application.
 .
 Contains development files for kinit.
Breaks: libkf5kdelibs4support-dev (<< 5.51)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kinit-([\d.]+)\.tar\.xz

## kinit 5.116.0+p24.04+vunstable+git20251015.1529

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20251015.1529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:29:25 +0000

## kinit 5.116.0+p24.04+vunstable+git20251020.2022

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20251020.2022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 20:22:17 +0000

## kinit 5.116.0+p24.04+vunstable+git20251113.0333

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20251113.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 03:34:00 +0000

## kinit 5.116.0+p24.04+vunstable+git20251124.0940

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20251124.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:40:54 +0000

## kinit 5.116.0+p24.04+vunstable+git20251224.0920

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20251224.0920-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:20:43 +0000

## kinit 5.116.0+p24.04+vunstable+git20260105.1305

=== debian/changelog ===
kinit (5.116.0+p24.04+vunstable+git20260105.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:05:58 +0000
